Archived

This topic is now archived and is closed to further replies.

linuxopengl

error message in linux..

Recommended Posts

linuxopengl    122
I could compile Nehe tutorial lesson2. and command ./lesson2 there is error message like that.. GLUT:Fatal Error in lesson2:visual with necessary capabilities not found. I`m using RADEON 7000 & RedHat8.0 and I installed EVERYTHING! .please help me!

Share this post


Link to post
Share on other sites
Null and Void    1088
I''m guessing that GLX doesn''t like what type of window you''re asking GLUT to give you. My guesses as to what could be causing this for you are:

  • You want too big of a window (unlikely).

  • You want a bitdepth that X isn''t configured to allow (maybe).

  • Your video drivers aren''t fully and/or correctly setup (maybe, I have no idea how much RedHat sets up, but I do know that your card is supported).

  • A bug in GLUT (unlikely).


Do any OpenGL programs run? Do any GLUT-using OpenGL programs run? Try running ''glxinfo'' in a terminal, and scanning the output for anything useful.

Share this post


Link to post
Share on other sites
Guest Anonymous Poster   
Guest Anonymous Poster
thank you for answering..but I can run other OpenGL sample

program comes from "OpenGL-A Promer- Edward Angel". I dont know

why only Nehe tutorial OpenGl doesnt work ar my computer.

Share this post


Link to post
Share on other sites
Guest Anonymous Poster   
Guest Anonymous Poster
I believe the most likely problem is the alpha buffer. If I recall, most of the linux ports try to use a GLUT_ALPHA or something like this in the glutInitDisplayMode function. Just get rid of the alpha (you don''t need it, anyway) and it will probably work fine.

Share this post


Link to post
Share on other sites